# process a file containing 5 fields:
# pkgname <cver> <crev> <nver> <nrev>
# print out pkgname if current version/revision is less than new version/revision
$4 != "none" { 
  r = system( "dvercmp " $2 " " $3 " " $4 " " $5 " > /dev/null");
  fn = $1;
  if ( $4 != "none" )
    fn = fn "-" $4
  if ( $5 != "none" )
    fn = fn "-" $5
  if ( r == 0 )
    print fn
}
